Package org.apache.tomcat.jni

## Class Multicast

- java.lang.Object
- - org.apache.tomcat.jni.Multicast

    @Deprecated
    public class Multicast
    extends java.lang.Object

Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
Multicast

Author:
  Mladen Turk

### Constructor Summary

Constructors
`Multicast()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static int` `hops​(long sock, int ttl)` Deprecated. Set the Multicast Time to Live (ttl) for a multicast transmission.
`static int` `join​(long sock, long join, long iface, long source)` Deprecated. Join a Multicast Group
`static int` `leave​(long sock, long addr, long iface, long source)` Deprecated. Leave a Multicast Group.
`static int` `loopback​(long sock, boolean opt)` Deprecated. Toggle IP Multicast Loopback
`static int` `ointerface​(long sock, long iface)` Deprecated. Set the Interface to be used for outgoing Multicast Transmissions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Multicast

    public Multicast()

Deprecated.

### Method Detail

#### join

    public static int join​(long sock,
                           long join,
                           long iface,
                           long source)

Deprecated.
Join a Multicast Group

Parameters:
  `sock` - The socket to join a multicast group
  `join` - The address of the multicast group to join
  `iface` - Address of the interface to use. If NULL is passed, the default multicast interface will be used. (OS Dependent)
  `source` - Source Address to accept transmissions from (non-NULL implies Source-Specific Multicast)
Returns:
  the operation status

#### leave

    public static int leave​(long sock,
                            long addr,
                            long iface,
                            long source)

Deprecated.
Leave a Multicast Group. All arguments must be the same as apr_mcast_join.

Parameters:
  `sock` - The socket to leave a multicast group
  `addr` - The address of the multicast group to leave
  `iface` - Address of the interface to use. If NULL is passed, the default multicast interface will be used. (OS Dependent)
  `source` - Source Address to accept transmissions from (non-NULL implies Source-Specific Multicast)
Returns:
  the operation status

#### hops

    public static int hops​(long sock,
                           int ttl)

Deprecated.
Set the Multicast Time to Live (ttl) for a multicast transmission.

Parameters:
  `sock` - The socket to set the multicast ttl
  `ttl` - Time to live to Assign. 0-255, default=1
  Remark : If the TTL is 0, packets will only be seen by sockets on the local machine, and only when multicast loopback is enabled.
Returns:
  the operation status

#### loopback

    public static int loopback​(long sock,
                               boolean opt)

Deprecated.
Toggle IP Multicast Loopback

Parameters:
  `sock` - The socket to set multicast loopback
  `opt` - false=disable, true=enable
Returns:
  the operation status

#### ointerface

    public static int ointerface​(long sock,
                                 long iface)

Deprecated.
Set the Interface to be used for outgoing Multicast Transmissions.

Parameters:
  `sock` - The socket to set the multicast interface on
  `iface` - Address of the interface to use for Multicast
Returns:
  the operation status